### Method

# GObject Value take_boxed

since: 2.4

#### Declaration [src]

    void
    g_value_take_boxed (
      GValue* value,
      gconstpointer v_boxed
    )

#### Description [src]

Sets the contents of a `G_TYPE_BOXED` derived `GValue` to `v_boxed` and takes over the ownership of the caller’s reference to `v_boxed`; the caller doesn’t have to unref it any more.

Available since: 2.4

#### Parameters

`v_boxed`

  Type: `gconstpointer`

  Duplicated unowned boxed value to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.